Bug 140978 - FILEOPEN XLSX Autofiltered time entries are not selected
Summary: FILEOPEN XLSX Autofiltered time entries are not selected
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords: filter:xlsx, implementationError
Depends on:
Blocks: XLSX-Autofilter
  Show dependency treegraph
 
Reported: 2021-03-12 11:33 UTC by NISZ LibreOffice Team
Modified: 2021-06-30 12:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel (11.02 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-03-12 11:33 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc (149.18 KB, image/png)
2021-03-12 11:34 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-03-12 11:33:55 UTC
Created attachment 170433 [details]
Example file from Excel

Attached Excel-made file contains some time values, some of them are filtered out.
When opened in Calc the autofilter shows all entries unselected.

Steps to reproduce:
    1. Open attached file
    2. Look at the autofilter dropdown

Actual results:
No entries are selected.

Expected results:
Entries of 8:17; 8:28 and 22:52 should be checked.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2fb274950e5207ca55f4f52325fb522bd44024e1
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also in: 7.0; 6.0; 5.0; 4.0
Comment 1 NISZ LibreOffice Team 2021-03-12 11:34:15 UTC
Created attachment 170434 [details]
Screenshot of the original document side by side in Excel and Calc
Comment 2 Roman Kuznetsov 2021-03-12 19:28:46 UTC
confirm in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9d8accf03984a64a4105826e55b221962628eb93
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 3 Commit Notification 2021-03-25 14:01:34 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4fd1333ba4bb4f2311e9098291154772bd310429

tdf#140968 tdf#140978 XLSX import: fix lost rounded filters

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-04-09 06:31:51 UTC
Verified in: 

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ea4fb1559f7b99a0bfaf18f26cb3b6972c9cde1c
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded